use crate::CmdContext;

mod serve;

#[derive(Debug, clap::Subcommand)]
pub enum Command {
	Serve {
		#[command(flatten)]
		cmd: serve::ServeArgs,
	},
}

impl Command {
	pub async fn run(self, ctx: CmdContext) -> anyhow::Result<()> {
		match self {
			Self::Serve { cmd } => cmd.run(ctx).await,
		}
	}
}
